Package org.eclipse.emf.cdo.server

# Interface IRepositoryProtector.UserAuthenticator.PasswordChangeSupport

Enclosing class:
  IRepositoryProtector.UserAuthenticator

public static interface IRepositoryProtector.UserAuthenticator.PasswordChangeSupport

Author:
  Eike Stepper

## Method Summary

Modifier and Type
Method
Description
`void`
`resetPassword(String userID, char[] newPassword)`
`void`
`resetPassword(String adminID, char[] adminPassword, String userID, char[] newPassword)`
`void`
`updatePassword(String userID, char[] oldPassword, char[] newPassword)`

## Method Details

### updatePassword

void updatePassword(String userID, char[] oldPassword, char[] newPassword) throws SecurityException

Throws:
  `SecurityException`

### resetPassword

void resetPassword(String adminID, char[] adminPassword, String userID, char[] newPassword) throws SecurityException

Throws:
  `SecurityException`

### resetPassword

void resetPassword(String userID, char[] newPassword) throws SecurityException

Throws:
  `SecurityException`